# vue-snippet-toggler

![Screenshot of the Snippet Toggler component](https://github.com/directus/vue-snippet-toggler/raw/main/static/screenshot.png)

We wanted to have a nice way to show various snippets of code inside of [our docs](https://docs.directus.io), so we figured we'd open source that component as well!

## Installation

```
npm install @directus/vue-snippet-toggler
```

## Usage

```vue
<script setup>
import { ref } from 'vue';

import { SnippetToggler } from '@directus/vue-snippet-toggler';
import '@directus/vue-snippet-toggler/style.css';

const pref = ref('REST');
</script>

<template>
	<SnippetToggler
		v-model="pref"
		:choices="['REST', 'GraphQL']"
		label="API"
	>
		<template #rest>
			<!-- Your REST example -->
		</template>

		<template #graphql>
			<!-- Your REST example -->
		</template>
	</SnippetToggler>
</template>
```

## Contributing

This component was made for internal use, so it may or may not be flexible (enough) for your project. Contributions are more than welcome! Make sure to open an issue first outlining the change you'd like to make.

## License

MIT
